@media (min-width: 768px) {
  .modal-xl {
    width: 90% !important;
    max-width:1200px !important;
  }
}

.dropdown-menu-right {
  right: 0 !important;
  left: auto !important;
}

/*
 * Sidebar
 */

.sidebar {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  z-index: 100; /* Behind the navbar */
  padding: 68px 0 0; /* Height of navbar */
  box-shadow: inset -1px 0 0 rgba(0, 0, 0, .1);
}

.sidebar-sticky {
  position: relative;
  top: 68px;
  height: calc(100vh - 68px);
  padding-top: 1.5rem;
  overflow-x: hidden;
  overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
}

@supports ((position: -webkit-sticky) or (position: sticky)) {
  .sidebar-sticky {
    position: -webkit-sticky;
    position: sticky;
  }
}

.sidebar .nav-link {
  font-weight: 500;
  color: #333;
}

.sidebar .nav-link .feather {
  margin-right: 4px;
  color: #999;
}

.sidebar .nav-link.active {
  color: #007bff;
}

.sidebar .nav-link:hover .feather,
.sidebar .nav-link.active .feather {
  color: inherit;
}

.sidebar-heading {
  font-size: .75rem;
  text-transform: uppercase;
}

/*
 * Styles for the main criterion editing page
 */
.gutter {
  border-bottom: 5px solid #000;
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
}

.nowrap {
  white-space: nowrap;
}

.criterionHistory {
  overflow-y: scroll;
  overflow-x: hidden;
  height: 186px;
}

/*
 * Content
 */
.hideMe {
  display: none;
}

.helpImage {
  max-width: 230px;
}

.navPadSection {
  margin-top: 68px; /* Space for fixed navbar */
}

#message {
  z-index: 9999;
  position: absolute;
  width: 30%;
  bottom: 10px;
  right: 10px;
}

#messageTop {
  z-index: 9999;
  position: absolute;
  width: 30%;
  top: 15px;
  right: 10px;
}

.groupInStandard {
  /*padding-left: 40px !important;*/
  display: none;
}

.criterionInGroup {
  /*padding-left: 40px !important;*/
  display: none;
}

.disabled {
  cursor: not-allowed;
  pointer-events: all !important;
}

.cursor-pointer{
  cursor: pointer;
}

.survey-edit-toggle {
  width: 3em;
  margin-top: 0px;
  margin-bottom: 4px;
}

.text-tiny {
  font-size: 0.75em;
}

.sessionDetails {
  width: 150px;
  overflow: hidden;
}

#criterionNav {
  height: 400px;
  overflow-y: scroll;
  overflow-x: hidden;
}

.separator {
  border-top: 3px solid #000;
  border-bottom: solid 3px #000;
}

.scroll-200 { height: 200px; overflow-y: scroll; overflow-x: hidden; }
.scroll-300 { height: 300px; overflow-y: scroll; overflow-x: hidden; }
.scroll-400 { height: 400px; overflow-y: scroll; overflow-x: hidden; }
.scroll-500 { height: 500px; overflow-y: scroll; overflow-x: hidden; }
.scroll-600 { height: 600px; overflow-y: scroll; overflow-x: hidden; }

.groupHighlight {
  border-left: solid 3px #5cb85c;
}

.tooltip {
  pointer-events: none;
}

.rotate {
  writing-mode: vertical-lr;
}

.productEdit {
    -moz-box-sizing:border-box;
    -webkit-box-sizing:border-box;
    box-sizing:border-box;
    display:block;/*reset from inline*/
    width:100%;
    margin:0;/*remove defaults*/
    padding:4px;
    background:#EEF;
    border:1px solid #333;
    overflow-y:auto;/*resets IE*/
    overflow-x:hidden;/*resets IE*/
}
* html .productEdit {margin-left:-5px}/*ie6 cheap fix*/
*+html .productEdit {margin-left:-5px}/*ie7 cheap fix*/

/* Start by setting display:none to make this hidden.
   Then we position it in relation to the viewport window
   with position:fixed. Width, height, top and left speak
   for themselves. Background we set to 80% white with
   our animation centered, and no-repeating */
.modal {
    display:    none;
    position:   fixed;
    z-index:    1000;
    top:        0;
    left:       0;
    height:     100%;
    width:      100%;
    background: rgba( 255, 255, 255, .8 )
    url('../images/spinner.gif')
    50% 50%
    no-repeat;
}

.waitMessage {
    position:   relative;
    z-index:    1000;
    top:        0;
    left:       0;
    height:     100%;
    width:      100%;
    top:        50%;
    padding-top: 30px;
}

/* When the body has the loading class, we turn
   the scrollbar off with overflow:hidden */
body.loading .modal {
    overflow: hidden;
}

/* Anytime the body has the loading class, our
   modal element will be visible */
body.loading .modal {
    display: block;
}

/* Styles for report section previews - these should be kept up to date with those used in the report generation */
.previewTitle {
    font-family: Calibri;
    font-size: 18pt;
    font-weight: bold;
    color: #1F4E79;
}

.previewContent {
    font-family: Calibri;
    font-size: 12pt;
}

.gridHeader {
    cursor: pointer;
}

.gridHeader:hover {
    background-color: #ffcccc;
}